# CYapfFollowShipT< Types > Class Template Reference

Node Follower module of YAPF for ships. More...

Inheritance diagram for CYapfFollowShipT< Types >:

## Public Types
typedef Types::Tpf | Tpf
| the pathfinder class (derived from THIS class)
typedef Types::TrackFollower | TrackFollower
typedef Types::NodeList::Titem | Node
| this will be our node type
typedef Node::Key | Key
| key to hash tables
## Public Member Functions
void | PfFollowNode (Node &old_node)
| Called by YAPF to move from the given node to the next tile.
FORCEINLINE char | TransportTypeChar () const
| return debug report character to identify the transportation type
## Static Public Member Functions
static Trackdir | ChooseShipTrack (const Ship *v, TileIndex tile, DiagDirection enterdir, TrackBits tracks, bool &path_found)
## Protected Member Functions
FORCEINLINE Tpf & | Yapf ()
| to access inherited path finder

## Detailed Description

### template<class Types>
class CYapfFollowShipT< Types >

Node Follower module of YAPF for ships.

Definition at line 19 of file yapf_ship.cpp.

## Member Function Documentation

template<class Types >

void CYapfFollowShipT< Types >::PfFollowNode | ( | Node & | old_node | ) | `[inline]`

Called by YAPF to move from the given node to the next tile.

For each reachable trackdir on the new tile creates new node, initializes it and adds it to the open list by calling Yapf().AddNewNode(n)

Definition at line 40 of file yapf_ship.cpp.

References CYapfFollowShipT< Types >::Yapf().

The documentation for this class was generated from the following file:

- src/pathfinder/yapf/yapf_ship.cpp